close
    Got I phone % and is not compatible with my version of I tunes. What can I do?

    I bought an I phone 5 recently< and found out that I can't use it because I don't have I tunes 10.7 or greater. My operating system goes up to version 10.6.8. Any suggestions, or solutions out there???

    0  Views: 344 Answers: 1 Posted: 8 years ago

    1 Answer

    iPhone is compatible with iTunes. I think you may be doing something wrong. 



    Top contributors in Cell Phones & Plans category

     
    ROMOS
    Answers: 412 / Questions: 0
    Karma: 20910
     
    Colleen
    Answers: 990 / Questions: 0
    Karma: 19370
     
    country bumpkin
    Answers: 110 / Questions: 0
    Karma: 7305
     
    Deleted User
    Answers: 128 / Questions: 0
    Karma: 3495
    > Top contributors chart

    Unanswered Questions

    446400
    questions
    716766
    answers
    667074
    users